package com.chenyang.druid.sql.dialect.dm.ast.stmt;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.SQLPartition;
import com.chenyang.druid.sql.ast.statement.SQLAlterTableItem;
import com.chenyang.druid.sql.dialect.dm.ast.DmSQLObjectImpl;
import com.chenyang.druid.sql.dialect.dm.visitor.DmASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class DmAlterTableSplitPartition extends DmSQLObjectImpl implements SQLAlterTableItem {
   protected SQLName name;
   protected final List<SQLExpr> at = new ArrayList();
   protected final List<SQLExpr> values = new ArrayList();
   protected List<SQLPartition> into = new ArrayList();

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.values);
         this.acceptChild(visitor, this.into);
      }

      visitor.endVisit(this);
   }

   public SQLName getName() {
      return this.name;
   }

   public void setName(SQLName name) {
      this.name = name;
   }

   public List<SQLExpr> getAt() {
      return this.at;
   }

   public List<SQLExpr> getValues() {
      return this.values;
   }

   public List<SQLPartition> getInto() {
      return this.into;
   }

   public void setInto(List<SQLPartition> into) {
      this.into = into;
   }
}
